Credit Card Masking Config
Credit Card Masking Config- Credit Card Masking Config ManageGET global/creditCardMaskingConfig- Get a single Credit Card Masking ConfigPOST global/creditCardMaskingConfig:disable- Disable the Credit Card Masking ConfigPOST global/creditCardMaskingConfig:enable- Enable the Credit Card Masking ConfigPUT global/creditCardMaskingConfig- Update the Credit Card Masking ConfigDELETE global/creditCardMaskingConfig- Remove the Credit Card Masking Config
Credit Card Masking Config JSON Format
Credit Card Masking Config is represented as simple flat JSON objects with the following keys:
| Name | Type | Description |
|---|---|---|
siteId |
integer | Id of the site. |
isEnabled |
bool | Whether Credit Card Masking is enabled or not. |
Get a single Credit Card Masking Config
GET global/creditCardMaskingConfig
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/global/creditCardMaskingConfig \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"siteId": 10000,
"isEnabled": false
}
Disable the Credit Card Masking Config
POST global/creditCardMaskingConfig:disable
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/global/creditCardMaskingConfig:disable \
-X 'POST' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"siteId": 10000,
"isEnabled": false
}
Enable the Credit Card Masking Config
POST global/creditCardMaskingConfig:enable
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/global/creditCardMaskingConfig:enable \
-X 'POST' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"siteId": 10000,
"isEnabled": true
}
Update the Credit Card Masking Config
PUT global/creditCardMaskingConfig
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
isEnabled |
bool | body | no | Whether Credit Card Masking is enabled or not. |
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/global/creditCardMaskingConfig \
-X 'PUT' \
-H 'Authorization: Bearer {access_token}' \
-H 'Content-Type: application/json' \
-D '{"isEnabled":false}'
Response:
HTTP/1.1 200 OK
{
"siteId": 10000,
"isEnabled": false
}
Remove the Credit Card Masking Config
DELETE global/creditCardMaskingConfig
-
Parameters:
No Parameters
-
Response:
No Content
-
Example
Sample Request:
curl https://api11.comm100.io/v4/global/creditCardMaskingConfig \
-X 'DELETE' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 204 No Content